﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Enrolling Disconnected Applications</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Enrolling Disconnected Applications</h1>
        <p>Disconnected applications are applications for which Saviynt does not provide a direct integration mechanism. The data for these applications may be stored in files, such as CSV files. Therefore, importing and provisioning data to disconnected applications is not automated, but manual.</p>
        <p>The application onboarding and management feature lets you enroll applications for which a direct integration is not supported.</p>
        <ul>
            <li>
                <p><a href="#Prerequi">Prerequisites</a>
                </p>
            </li>
            <li>
                <p><a href="#Providin">Providing Basic Details and Uploading Data Files</a>
                </p>
            </li>
            <li>
                <p><a href="#Configur">Configuring the Application Using the Quick Mode</a>
                </p>
            </li>
            <li>
                <p><a href="#Configur2">Configuring the Application Using the Advanced Mode</a>
                </p>
            </li>
        </ul>
        <h2><a name="Prerequi"></a>Prerequisites</h2>
        <p>Before enrolling a disconnected application, make sure that the following prerequisites are met:</p>
        <ul>
            <li>
                <p>You have a basic understanding of the disconnected application that you want to enroll and manage.</p>
            </li>
            <li>
                <p>Collect the data that you want to import. This data includes information about new accounts, entitlements associated with the accounts, and account owners in CSV files. </p>
            </li>
        </ul>
        <h2><a name="Providin"></a>Providing Basic Details and Uploading Data Files</h2>
        <ol>
            <li>
                <p>Log in to IGA.</p>
            </li>
            <li>
                <p>On the top right of the Home page, click&#160;<strong>Applications &gt; Design</strong>. The Application Management page is displayed. To familiarize yourself with this page, see <MadCap:xref href="Understanding-the-Interface.htm">Understanding the Interface</MadCap:xref>.</p>
            </li>
            <li>
                <p>Click the <strong>Enrollment</strong> tab. Under Enroll New Application, click <strong>Application</strong>. The Enroll New Application wizard is displayed.<br /></p>
                <p>
                    <img src="../../Resources/Images/dcapp.png" style="width: 650px;" />
                </p>
            </li>
            <li>
                <p>Provide the following details for the application and click <strong>Next</strong>.</p>
                <ul>
                    <li>
                        <p><strong>Application: </strong>Specify a unique name for the application.&#160;</p>
                    </li>
                    <li>
                        <p><strong>Description: </strong>Specify a description for the application.</p>
                    </li>
                    <li>
                        <p><strong>Owner: </strong>Select<strong> I am the owner</strong> if you want to mark yourself as the owner of the application. Otherwise, to select a different owner for the application:</p>
                        <ul>
                            <li>
                                <p>Specify whether the Owner Type of the application is a user or a user group.</p>
                            </li>
                            <li>
                                <p>Select a user or a user group as the owner of the application depending on the selected Owner Type.</p>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
            <li>
                <p>On the Features page, select the features that you want to use for the application that you are enrolling. Currently, Account Management and Request Configuration features are available. The features that are not selectable will be available in future releases. When finished, click <strong>Next</strong>.</p>
            </li>
            <li>
                <p>On the Import page, select <strong>Manual</strong> to import data from files and click <strong>Next</strong>.</p>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p class="note">The automated method of importing data is not supported in this release.</p>
                </div>
            </li>
            <li>
                <p>The Import: Upload Data File page guides you through uploading of data for import. </p>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p class="note">In the steps for uploading the data file, the data is NOT uploaded into IGA. Here, you specify the configuration for data upload. Data in the CSV files will be imported after the application is enrolled and schema import jobs are run.</p>
                </div>
                <p>In Step 1 for account import, perform the following actions:</p>
                <p>
                    <img src="../../Resources/Images/uploaddata.png" style="width: 650px;" />
                </p>
                <ol style="list-style-type: lower-alpha;">
                    <li>
                        <p>(Optional) Click <strong>Sample Data File</strong> to download a .CSV data file containing sample account, entitlement, and account owner details of the application. You can modify this file to include the data that you want to upload. If you want detailed information about the sample data file and how to upload accounts for file-based import, click <strong>Help Document.</strong></p>
                    </li>
                    <li>
                        <p>Click <strong>Select and Upload File</strong> to locate and select the file that you want to upload. The <strong>Does file contain column headers</strong> option is enabled by default. If the sample data file you selected for uploading does not contain column headers, then turn off this option.</p>
                    </li>
                    <li>
                        <p>(Optional) Expand <strong>Advanced</strong> and configure the following settings for importing accounts and click <strong>Next</strong>.</p>
                        <ul>
                            <li>
                                <p><strong>Create missing entitlement types: </strong>Turn it on to create an entitlement type if it is not present in IGA. </p>
                            </li>
                            <li>
                                <p><strong>Create missing entitlement values: </strong>Turn it on to create entitlement values if they are not present in IGA.</p>
                            </li>
                            <li>
                                <p><strong>Select the delimiter used in the data file: </strong>Select Comma, Pipe, or Tab to specify the delimiter that has been used in the data file being uploaded.</p>
                            </li>
                            <li>
                                <p><strong>Specify comma separated entitlement types assigned to accounts in the data file: </strong>Specify the entitlement types separated by commas.</p>
                            </li>
                            <li>
                                <p><strong>Select the email template for import failure notifications: </strong>Select an email template that you want to use for sending email notification if the import fails.</p>
                            </li>
                        </ul>
                    </li>
                </ol>
            </li>
            <li>
                <p>In Step 2 for entitlement import, perform the following:</p>
                <ol style="list-style-type: lower-alpha;">
                    <li>
                        <p>Optionally click <strong>Sample Data File</strong> to download a .CSV data file containing sample entitlement and owner. You can modify this file to include the data that you want to upload. You can also click <strong>Help Document</strong> to download a document with detailed information about the sample data file and how to upload entitlements for file-based import.</p>
                    </li>
                    <li>
                        <p>Click <strong>Select and Upload File</strong> to locate and select the file you want to upload.</p>
                    </li>
                    <li>
                        <p>Specify values for the following:</p>
                        <ul>
                            <li>
                                <p><strong>Number of lines to skip in the file: </strong>Specify the number of lines that must be skipped in the data file. If there are column names in the first row of the CSV file, then leave the value as 1. If there are no column names in the csv file and the first line contains application data, then set the value to 0.</p>
                            </li>
                            <li>
                                <p><strong>Create missing entitlement types: </strong>Turn on to create entitlement types if they are not present in IGA. Turn off if you do not want to create the entitlement types.</p>
                            </li>
                        </ul>
                    </li>
                    <li>
                        <p>(Optional) Expand <strong>Advanced</strong> to specify the following details for importing entitlements and click <strong>Next</strong>.</p>
                        <ul>
                            <li>
                                <p><strong>Select the delimiter used in the data file</strong>: Select Comma, Pipe, or Tab to specify the delimiter that has been used in the data file being uploaded.</p>
                            </li>
                            <li>
                                <p><strong>Select the email template for import failure notifications</strong>: Select an email template that you want to use for sending email notifications if the import fails.</p>
                            </li>
                        </ul>
                    </li>
                </ol>
            </li>
            <li>
                <p>In Step 3 for importing entitlement association, perform the following actions:</p>
                <ol style="list-style-type: lower-alpha;">
                    <li>
                        <p>Optionally click <strong>Sample Data File</strong> to download a .CSV data file containing sample data about parent and child association between entitlements. You can modify this file to include the data that you want to upload. You can also click <strong>Help Document</strong> to download a document with detailed information about the sample data file and how to upload entitlements for file-based import.</p>
                        <p>
                            <img src="../../Resources/Images/importdata2.png" style="width: 650px;" />
                        </p>
                    </li>
                    <li>
                        <p>Click <strong>Select and Upload File</strong> to locate and select the file you want to upload.</p>
                    </li>
                    <li>
                        <p>In the <strong>Number of lines to skip in the file</strong>, enter the number of lines that must be skipped in the data file. If there are column names in the first row of the CSV file, then leave the value as 1. If there are no column names in the csv file and the first line contains application data, then set the value to 0.</p>
                    </li>
                    <li>
                        <p>(Optional) Expand <strong>Advanced</strong> to specify the following for the entitlement association import and then click <strong>Next</strong>.</p>
                        <ul>
                            <li>
                                <p><strong>Select the delimiter used in the data file</strong>: Select Comma, Pipe, or Tab to specify the delimiter that has been used in the data file being uploaded.</p>
                            </li>
                            <li>
                                <p><strong>Create parent entitlements (entitlement1)</strong>: Turn on to create parent entitlements if they are not present in IGA. Turn off if you do not want to create the parent entitlements.</p>
                            </li>
                            <li>
                                <p><strong>Create child entitlements (entitlement2)</strong>: Turn on to create child entitlements if they are not present in IGA. Turn off if you do not want to create the child entitlements.</p>
                            </li>
                            <li>
                                <p><strong>Select the email template for import failure notifications</strong>: Select an email template that you want to use for sending email notifications if the import fails.</p>
                            </li>
                        </ul>
                    </li>
                </ol>
            </li>
            <li>
                <p>On the Provisioning page, select a provisioning type.</p>
                <p>Currently, only <strong>Automated - Identity Bot</strong> and <strong>Manual - Saviynt Help Desk</strong> provisioning types are supported.</p>
                <ul>
                    <li>
                        <p><strong>Automated - Identity Bot</strong>: </p>
                        <ol>
                            <li>
                                <p>Read the description in this tile and click it to perform automated provisioning with the help of Saviynt’s Identity Bot and click <strong>Next</strong>.</p>
                            </li>
                            <li>
                                <p>Read the instructions about the prerequisites and for performing provisioning configuration with the help of the Identity Bot. For detailed information about installing, configuring, and managing the Identity Bot, click the link that redirects you to its documentation. Perform the provisioning configuration by following the given instructions and click <strong>Next</strong>.</p>
                            </li>
                        </ol>
                    </li>
                    <li>
                        <p><strong>Manual - Saviynt Help Desk</strong>: </p>
                        <ol>
                            <li>
                                <p>Read the description in this tile and click it to perform manual provisioning with the help of Saviynt Help Desk and click <strong>Next</strong>.</p>
                            </li>
                            <li>
                                <p>The Provisioning Method Manual - Saviynt Help Desk page provides instructions for Saviynt Help Desk to manually perform the provisioning task. Click <strong>Next</strong>.</p>
                            </li>
                        </ol>
                    </li>
                </ul>
            </li>
        </ol>
        <p>A new page provides a snapshot of what you selected in the wizard. It also provides options to quickly complete the enrollment or to continue configuring the application. See the subsequent sections for more information.</p>
        <h2><a name="Configur"></a>Configuring the Application Using the Quick Mode</h2>
        <ol>
            <li>
                <p>Provide the basic application details and upload the data files. See <a href="#Providin">Providing Basic Details and Uploading Data Files</a>.</p>
            </li>
            <li>
                <p>On the page that provides a snapshot of what you selected in the wizard, click <strong>Complete Enrollment </strong>to enroll the application.</p>
                <p>
                    <img src="../../Resources/Images/done2.png" style="width: 500px;" />
                </p>
                <p>This action performs quick enrollment by using the default settings and the details you provided. The enrolled application is displayed in the <strong>Catalog </strong>tab of the Application Management page. You can use this page for making additional changes to the specified settings if required. For more information, see <MadCap:xref href="Understanding-the-Interface.htm#top">Understanding the Interface</MadCap:xref>.</p>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p class="note"> To modify any configuration, click <strong>Continue Assisted Configuration </strong>that takes you to the Home page. This page provides options to update the configuration by using a wizard or to manually configure the application. For disconnected applications, wizard-based configuration settings are not currently available. However, you can manually add or modify the configuration settings. For more information, see <a href="#Configur2">Configuring the Application Using the Advanced Mode</a>.</p>
                </div>
            </li>
            <li>
                <p>After the enrollment is completed, three jobs are created. You can trigger these jobs to import the data from the uploaded CSV files. The jobs are:</p>
                <ul>
                    <li>
                        <p><strong>applicationonboarding_account:</strong> To import accounts</p>
                    </li>
                    <li>
                        <p><strong>applicationonboarding_entitlement:</strong> To import entitlements</p>
                    </li>
                    <li>
                        <p><strong>applicationonboarding_entitlementassociation:</strong> To import entitlement associations</p>
                        <p>For information about creating and running jobs, see <MadCap:xref href="../../Chapter10-Managing-Jobs-Using-Job-Control-Panel/Job-Control-Panel.htm#top">Job Control Panel</MadCap:xref>.</p>
                    </li>
                </ul>
            </li>
        </ol>
        <h2><a name="Configur2"></a>Configuring the Application Using the Advanced Mode</h2>
        <p>In addition to enrolling a disconnected application, you can use the advanced mode to modify the import configuration of an application in the following situations:</p>
        <ul>
            <li>
                <p>You have not uploaded the CSV files containing any of the account, entitlement, or entitlement association data while enrolling the application.</p>
            </li>
            <li>
                <p>You want to upload new data for any of the account, entitlement, or entitlement associations.</p>
            </li>
            <li>
                <p>You want to change any of the account, entitlement or entitlement association import configurations.</p>
            </li>
        </ul>
        <p>To configure a disconnected application using the advanced mode:</p>
        <ol>
            <li>
                <p>Navigate to the Home page in one of the following ways:</p>
                <ol style="list-style-type: lower-alpha;">
                    <li>
                        <p>Provide the basic configuration details for enrollment and click <strong>Continue Assisted Configuration</strong>.</p>
                    </li>
                    <li>
                        <p>Click <strong>Configure</strong> to the right of the application on the Instances page. For more information, see <MadCap:xref href="Understanding-the-Interface.htm#top">Understanding the Interface</MadCap:xref>.</p>
                    </li>
                </ol>
            </li>
            <li>
                <p>Click <strong>Advanced configuration</strong>. The left pane displays the options for manually configuring the application.</p>
                <p>
                    <img src="../../Resources/Images/disconnect4.png" style="width: 700px;height: 300px;" />
                </p>
            </li>
            <li>
                <p>Click <strong>CONFIGURATION</strong>, and then click <strong>FileImport</strong>. The FileImport page is displayed on the right pane with options for configuring the file-based data import of accounts, entitlement associations, and entitlements. </p>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p class="note">The <strong>FileImport</strong> option is displayed only if you have selected the import method as <strong>Manual</strong> while providing the basic information for the application.</p>
                </div>
            </li>
            <li>
                <p>In the Account section, specify values for the given parameters.</p>
                <p>
                    <img src="../../Resources/Images/givenparams.png" style="width: 650px;" />
                </p>
                <div class="table-wrap">
                    <table class="TableStyle-Default-Table" style="width: 100%;margin-left: 0;margin-right: auto;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                        <col style="width: 273.0px;" class="TableStyle-Default-Table-Column-Column1" />
                        <col style="width: 485.0px;" class="TableStyle-Default-Table-Column-Column1" />
                        <thead>
                            <tr class="TableStyle-Default-Table-Head-Header1">
                                <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th>
                                <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Sample Data File</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">(Optional) Click this link to download a .CSV data file containing sample account, entitlement, and account owner details. You can modify this file to include the data that you want to upload.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Help Document</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">(Optional) Click this link to download a document with detailed information about the sample data file and how to upload accounts using a file-based import.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Select and Upload File</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Click this link to locate and select the data file you want to upload.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Select action for accounts missing in the file</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify the action to take on the accounts that are missing in the uploaded file. The possible values are SUSPEND, DELETE, and NOACTION. </p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Does file contain column headers</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Turn it on if the sample data file that you selected for uploading contains column headers. </p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                    <p class="table-text">Advanced</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                    <p class="table-text">Click it to expand the following configuration parameters for importing accounts:</p>
                                    <ul>
                                        <li>
                                            <p class="table-text"><strong>Delete existing account-entitlement mapping: </strong>Turn it on to delete the account-entitlement mapping in the existing data in IGA. </p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>Overwrite existing account-entitlement mapping: </strong>Turn it on to overwrite the account-entitlement mapping in the existing data with the account-entitlement mapping of the uploaded data.</p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>Correlate inactive accounts with users: </strong>Turn it on to allow associating inactive accounts with users.  </p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>Create missing entitlement types: </strong>Turn it on to create an entitlement type if it is not present in <span class="inline-comment-marker">IGA. </span></p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>Create missing entitlement values: </strong>Turn it on to create entitlement values if they are not present in IGA. </p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>Select delimiter used in the data file: </strong>Select Comma, Pipe, or Tab to specify the delimiter that has been used in the data file being uploaded.</p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>Specify comma separated entitlement types assigned to accounts in the data file: </strong>Specify the entitlement types separated by commas.</p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>Select the email template for import failure notifications: </strong>Select an email template that you want to use for sending email notification if the import fails.</p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>Specify the column names in the data file: </strong>Enter the name of the columns in the data file.</p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>Specify the data file name: </strong>Specify the name of the data file.</p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>Security system: </strong>This option is not available for disconnected applications.</p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>Do you want to create security system if it is not available: </strong>Turn it on to create a security system if it does not exist. By default, this option is turned off for disconnected applications.</p>
                                        </li>
                                    </ul>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </li>
            <li>
                <p>In the EntitlementAssociation section, specify values for the given parameters.</p>
                <p>
                    <img src="../../Resources/Images/acme2.png" style="width: 650px;" />
                </p>
                <div class="table-wrap">
                    <table class="TableStyle-Default-Table" style="width: 100%;margin-left: 0;margin-right: auto;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                        <col style="width: 270.0px;" class="TableStyle-Default-Table-Column-Column1" />
                        <col style="width: 489.0px;" class="TableStyle-Default-Table-Column-Column1" />
                        <thead>
                            <tr class="TableStyle-Default-Table-Head-Header1">
                                <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th>
                                <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Sample Data File</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">(Optional) Click it to download a .CSV data file containing sample data about parent and child association between entitlements. You can modify this file to include the data that you want to upload.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Help Document</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">(Optional) Click it to download a document with detailed information about the sample data file and how to upload entitlements using the file-based import.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Select and Upload File</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Click it to locate and select the file you want to upload.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Number of lines to skip in the file</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Enter the number of lines that must be skipped in the data file.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                    <p class="table-text">Advanced</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                    <p class="table-text">Click it to expand the following configuration parameters for importing entitlement association:</p>
                                    <ul>
                                        <li>
                                            <p class="table-text"><strong>Select the delimiter used in the data file: </strong>Select Comma, Pipe, or Tab to specify the delimiter that has been used in the data file being uploaded.</p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>Create parent entitlements (entitlement1): </strong>Turn it on to create parent entitlements if they are not present in the uploaded file.</p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>Create child entitlements (entitlement2): </strong>Turn it on to create child entitlements if they are not present in the uploaded file. </p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>Delete missing child entitlements (entitlement2): </strong>Turn it on to delete the missing entitlements if they are not present in the uploaded file.</p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>Select the email template for import failure notifications: </strong>Select an email template that you want to use for sending email notification if the import fails.</p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>Specify the data file name: </strong>Specify the name of the data file.</p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>Specify the column names in the data file: </strong>Enter the names of the columns in the data file.</p>
                                        </li>
                                    </ul>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </li>
            <li>
                <p>In the Entitlement section, specify values for the given parameters.</p>
                <p>
                    <img src="../../Resources/Images/entitlement.png" style="width: 650px;" />
                </p>
                <div class="table-wrap">
                    <table class="TableStyle-Default-Table" style="width: 100%;margin-left: 0;margin-right: auto;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                        <col style="width: 271.0px;" class="TableStyle-Default-Table-Column-Column1" />
                        <col style="width: 487.0px;" class="TableStyle-Default-Table-Column-Column1" />
                        <thead>
                            <tr class="TableStyle-Default-Table-Head-Header1">
                                <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th>
                                <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Sample Data File</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">(Optional) Click it to download a .CSV data file containing sample entitlement and owner. You can modify this file to include the data that you want to upload.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Help Document</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">(Optional) Click it to download a document with detailed information about the sample data file and how to upload entitlements for file-based import.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Select and Upload File</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Click it to locate and select the file that you want to upload.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Number of lines to skip in the file</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify the number of lines that must be skipped in the data file.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Create missing entitlement types</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Turn it on to create entitlement types if they are not present in IGA.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                    <p class="table-text">Advanced</p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                    <p class="table-text">Click it to expand the following configuration parameters for importing entitlements:</p>
                                    <ul>
                                        <li>
                                            <p class="table-text"><strong>Select the delimiter used in the data file: </strong>Select Comma, Pipe, or Tab to specify the delimiter that has been used in the data file being uploaded.</p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>Disable entitlements not available in file: </strong>Turn it on to disable the entitlements that are not present in the uploaded file. </p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>Specify the data file name: </strong>Specify the name of the data file.</p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>Select the email template for import failure notifications: </strong>Select an email template that you want to use for sending email notification if the import fails.</p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>Do you want to create Endpoint if it does not exist in the Security System: </strong>Turn it on to create an endpoint if it does not exist in the security system. </p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>Do you want to create Security System if it does not exist: </strong>Turn it on to create a security system. </p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>Specify the column names in the data file: </strong>Enter the name of the columns in the data file.</p>
                                        </li>
                                    </ul>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </li>
            <li>
                <p>Click <strong>Update</strong> to save the changes and go to the Home page. </p>
            </li>
            <li>
                <p>To complete the enrollment, click <strong>Commit Changes</strong> on the Home page. The committed application is displayed in the <strong>Catalog</strong> tab of the Application Management page. If you do not commit the changes, the application will remain in pending enrollment state.</p>
            </li>
            <li>
                <p>After the enrollment is completed, three jobs are created. You can trigger these jobs to import the data from the uploaded CSV files. The jobs are:</p>
                <ul>
                    <li>
                        <p><strong>applicationonboarding_account:</strong> To import accounts</p>
                    </li>
                    <li>
                        <p><strong>applicationonboarding_entitlement:</strong> To import entitlements</p>
                    </li>
                    <li>
                        <p><strong>applicationonboarding_entitlementassociation:</strong> To import entitlement associations</p>
                    </li>
                </ul>
                <p>For information about creating and running jobs, see <MadCap:xref href="../../Chapter10-Managing-Jobs-Using-Job-Control-Panel/Job-Control-Panel.htm#top">Job Control Panel</MadCap:xref>.</p>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p class="note">In addition to importing account, entitlement, and entitlement association data from CSV files, you can configure additional application settings that are grouped under the General, Policies, Request Management, Custom Properties, Compliance, Advanced, and Data &gt; Entitlements categories in Advanced configuration. For information about these application settings, see <MadCap:xref href="Common-Advanced-Config-for-App-Types.htm#top">Common Advanced Configuration Settings for Application Types</MadCap:xref>.  </p>
                </div>
            </li>
        </ol>
    </body>
</html>